import {
		useHttp
	} from '@/tools/http';
	const {
		isLoading,
		sendRequest
	} = useHttp();
	let Url='http://192.168.80.76'
	//let Url='http://yiji-qhdzhongyiyuan'
	let BaseUrl=Url+'/api/'
	
	export const BaseFileUrl=()=>{
		return Url;
	}
	//登录授权
	export const Login =   (data) =>  {
			return  sendRequest({url: BaseUrl+"H5/Login",method: 'POST',data:data});
	}
	//获取个人医嘱
	export const EntrustGetList =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/EntrustGetList",method: 'POST',data:data});
	}
	//获取可预约计划
	export const GetEnablePlan =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/GetEnablePlan",method: 'POST',data:data});
	}
	//预约
	export const H5_YuYue =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/H5_YuYue",method: 'POST',data:data});
	}
	//取消预约
	export const H5_CancelYuYue =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/H5_CancelYuYue",method: 'POST',data:data});
	}
	//获取医嘱详情
	export const GetEntrustDetail =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/GetEntrustDetail",method: 'POST',data:data});
	}
	
	export const UpFileUrl=   () =>  {
		return 	BaseUrl+'v1/UpFile'
	}